<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="400dp"
        android:layout_gravity="bottom"
        android:background="@drawable/download_dialog_background"
        android:descendantFocusability="blocksDescendants">

        <View
            android:id="@+id/handleView"
            android:layout_width="32dp"
            android:layout_height="4dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/download_dialog_close_hint"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/drag_close"
            android:layout_width="match_parent"
            android:layout_height="64dp"
            android:clickable="false"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="14dp"
            android:layout_marginTop="24dp"
            android:padding="4dp"
            android:src="@drawable/download_dialog_back"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textColor="@color/text_title"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/back"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/back"
            tools:text="下载加速版本" />

        <TextView
            android:id="@+id/download_notice"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="16dp"
            android:background="@drawable/download_dialog_version_note"
            android:paddingLeft="12dp"
            android:paddingTop="6dp"
            android:paddingRight="12dp"
            android:paddingBottom="6dp"
            android:textColor="@color/text_subtitle"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/back"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/back"
            tools:text="版本说明"
            tools:visibility="visible" />

        <RelativeLayout
            android:id="@+id/content_list_container"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:descendantFocusability="blocksDescendants"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/drag_close">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/content_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="12dp"
                android:paddingRight="12dp" />

            <RelativeLayout
                android:id="@+id/other_version_button_container"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_alignParentBottom="true"
                android:visibility="gone"
                tools:visibility="visible">

                <TextView
                    android:id="@+id/other_version_button"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/f8f8f8"
                    android:gravity="center_vertical"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:text="其它版本"
                    android:textColor="@color/text_title"
                    android:textSize="15dp" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/divider" />

            </RelativeLayout>
        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/collection_list"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/drag_close" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>
